JOURNALCTL(1)

BEZEICHNUNG
journalctl - Abfragen des Systemd-Journals

ÜBERSICHT

journalctl [OPTIONEN…] [ÜBEREINSTIMMUNGEN…]

BESCHREIBUNG

journalctl kann zur Abfrage der Inhalte des Journals von systemd(1) wie von systemd-journald.service(8) geschrieben benutzt werden.

Beim Aufruf ohne Parameter wird der gesamte Inhalt des Journals angezeigt, beginnend mit dem ältesten gesammelten Eintrag.

Falls ein oder mehrere Übereinstimmungsparameter übergeben werden, wird die Ausgabe entsprechend gefiltert. Eine Übereinstimmung ist in der Form »FELD=Wert«, z.B. »_SYSTEMD_UNIT=httpd.service«, was sich auf strukturierte Journal-Einträge bezieht. Siehe systemd.journal-fields(7) für eine Liste von gut bekannten Feldern. Falls mehrere Übereinstimmungen, die verschiedene Übereinstimmungsfelder festlegen, übergeben werden, werden die Protokolleinträge entsprechend aller Felder gefiltert, d.h. die resultierende Ausgabe wird nur Einträge zeigen, die mit allen festgelegten Übereinstimmungen dieser Art übereinstimmen. Falls zwei Übereinstimmungen auf das gleiche Feld angewandt werden, dann werden sie automatisch als Alternativen auf Übereinstimmung geprüft, d.h. die resultierende Ausgabe wird Einträge zeigen, die mit jeder der festgelegten Übereinstimmungen für das gleiche Feld übereinstimmen. Schließlich darf das Zeichen »+« als separates Wort zwischen anderen Ausdrücken auf der Befehlszeile erscheinen. Dies führt dazu, dass alle Übereinstimmungen davor und danach als Disjunktion (d.h. als logisches ODER) verknüpft werden.

Es ist auch möglich, die Einträge durch Angabe eines absoluten Dateipfads zu filtern. Der Dateipfad kann eine Datei oder ein symbolischer Link sein und die Datei muss zum Zeitpunkt der Abfrage existieren. Falls sich der Dateipfad auf ein ausführbares Programm bezieht, wird eine »_EXE=«-Übereinstimmung für den kanonisierten Programmpfad zu der Abfrage hinzugefügt. Falls sich ein Dateipfad auf ein ausführbares Skript bezieht, wird eine »_COMM=«-Übereinstimmung für den Skriptpfad zu der Abfrage hinzugefügt. Falls ein Dateipfad sich auf einen Geräteknoten bezieht, wird eine »_KERNEL_DEVICE=«-Übereinstimmung für den Kernelnamen des Gerätes und für jeden seiner Nachkommensgeräte zu der Abfrage hinzugefügt. Symbolische Links werden dereferenziert, Kernelnamen werden synthetisiert und Elterngeräte werden zum Zeitpunkt der Abfrage identifiziert. Im Allgemeinen ist ein Geräteknoten der beste Proxy für ein tatsächliches Gerät, da Protokolleinträge normalerweise keine Felder enthalten, die tatsächliche Geräte identifizieren. Damit die resultierenden Protokolleinträge für das tatsächliche Gerät korrekt sind, muss der relevante Teil der Umgebung zum Zeitpunkt der Protokollierung des Eintrags, insbesondere das dem Geräteknoten entsprechende tatsächliche Gerät, identisch zum Zeitpunkt der Abfrage sein. Da Geräteknoten im Allgemeinen nach Systemneustarts ihre entsprechenden Geräte ändern, führt die Angabe von Geräteknotenpfaden dazu, dass die resultierenden Einträge auf solche des aktuellen Systemstarts begrenzt sind.

Mit den Optionen --boot, --unit= usw. können zusätzliche Einschränkungen hinzugefügt werden, um weiter einzuschränken, welche Einträge angezeigt werden (logisches UND).

Die Ausgabe wird aus allen zugreifbaren Quellen verschachtelt, unabhängig davon, ob sie rotiert oder momentan geschrieben werden und unabhängig davon, ob sie zu dem System selbst gehören oder zugreifbare Benutzer-Journale sind.

Die Gruppe der verwandten Journal-Dateien kann mit den Optionen --user, --system, --directory und --file verändert werden, siehe unten.

Allen Benutzern wird Zugriff auf ihre privaten benutzerbezogenen Journale gewährt. Standardmäßig wird allerdings nur Root und Benutzern, die Mitglied ein paar besonderer Gruppen sind, der Zugriff auf das System-Journal und die Journale der anderen Benutzer gewährt. Mitglieder der Gruppen »systemd-journal«, »adm« und »wheel« können alle Journal-Dateien lesen. Beachten Sie, dass die zwei letzten Gruppen traditionell über zusätzliche, von der Distribution festgelegte Privilegien verfügen. Mitglieder der Gruppe »wheel« können oft zusätzliche administrative Aufgaben durchführen.

Die Ausgabe wird standardmäßig seitenweise durch less geleitet und lange Zeilen werden auf Bildschirmbreite »abgeschnitten«. Der versteckte Anteil kann mittels der Pfeil-links- und Pfeil-rechts-Tasten betrachtet werden. Seitenweise Anzeige kann deaktiviert werden; siehe die Option --no-pager und den Abschnitt »Umgebungsvariablen« unten.

Erfolgt die Ausgabe auf ein TTY, werden die Zeilen entsprechend der Priorität eingefärbt: Zeilen der Stufe ERROR und höher werden rot eingefärbt; Zeilen der Stufe NOTICE und höher werden hervorgehoben; Zeilen der Stufe DEBUG werden in leichtem Grau eingefärbt; andere Zeilen werden normal dargestellt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--no-full, --full, -l
    Felder verkürzen, wenn sie nicht in die verfügbaren Spalten passen. Die Vorgabe ist, volle Felder zu zeigen, und dem Textanzeigeprogramm, falls eines verwandt wird, zu erlauben, diese umzubrechen oder abzuschneiden.

    Die alten Optionen -l/--full sind nicht mehr nützlich, außer um --no-full rückgängig zu machen.

-a, --all
    Zeigt alle Felder komplett, selbst falls sie nicht darstellbare Zeichen enthalten oder sehr lang sind. Standardmäßig werden Felder mit nicht darstellbaren Zeichen als »blob data« abgekürzt. (Beachten Sie, dass das Textanzeigeprogramm nicht darstellbare Zeichen wieder maskieren könnte.)

-f, --follow
    Nur die neusten Journal-Einträge anzeigen und kontinuierlich neue Einträge ausgeben, wenn sie im Journal auftauchen.

-e, --pager-end
    Sofort im implizierten Textanzeigeprogramm zum Ende des Journals springen. Dies impliziert -n1000, um sicherzustellen, dass das Textanzeigeprogramm keine Protokolle von unbegrenzter Größe puffern wird. Dies kann mit dem expliziten Schalter -n mit einer anderen numerischen Größe außer Kraft gesetzt werden, während -nall diese Begrenzung abschaltet. Beachten Sie, dass diese Option nur vom Textanzeigeprogramm less(1) unterstützt wird.

-n, --lines=
    Zeigt die neusten Journal-Einträge und begrenzt die Anzahl der zu zeigenden Ereignisse. Falls --follow verwandt wird, ist diese Option impliziert. Das Argument ist eine positive Ganzzahl oder »all«, um die Zeilenbegrenzung zu deaktivieren. Der Vorgabewert ist 10, falls kein Argument angegeben wird.

--no-tail
    Zeigt alle gespeicherten Ausgabezeilen, selbst im Folgemodus. Setzt den Effekt von --lines= zurück.

-r, --reverse
    Invertiert die Ausgabe, so dass die neusten Einträge als erstes angezeigt werden.

-o, --output=
    Steuert die Formatierung der angezeigten Journal-Einträge. Akzeptiert eine der folgenden Optionen:

    short
        Ist die Vorgabe und erstellt eine Ausgabe, die größtenteils identisch zu der Formatierung klassischer Syslog-Dateien ist und eine Zeile pro Journal-Eintrag anzeigt.

    short-full
        Ist sehr ähnlich, zeigt aber Zeitstempel im Format, das die Optionen --since= und --until= akzeptieren. Anders als die im Ausgabemodus short gezeigten Zeitstempelinformationen enthält dieser Modus den Wochentag, das Jahr und die Zeitzoneninformationen in der Ausgabe und ist unabhängig von der Locale.

    short-iso
        Ist sehr ähnlich, zeigt aber ISO 8601-Uhrzeit-Zeitstempel.

    short-iso-precise
        Wie bei short-iso, enthält aber komplette Mikrosekundengenauigkeit.

    short-precise
        Ist sehr ähnlich, zeigt aber klassische Syslog-Zeitstempel mit voller Mikrosekundengenauigkeit.

    short-monotonic
        Ist sehr ähnlich, zeigt aber monotone Zeitstempel statt normaler Uhrzeitzeitstempel.

    short-unix
        Ist sehr ähnlich, zeigt aber die seit 1. Januar 1970 UTC vergangene Zeit statt normaler Uhrzeitzeitstempel (»UNIX-Zeit«). Die Zeit wird mit Mikrosekundengenauigkeit angezeigt.

    verbose
        Zeigt vollstrukturierte Einträgeelemente mit allen Feldern.

    export
        Serialisiert das Journal in einen binären (aber größtenteils textbasierten) Strom, der für Sicherungen und Netzwerkübertragungen geeignet ist (siehe Journal-Exportformat[1] für weitere Informationen). Um den binären Strom wieder in das native Journald-Format zu importieren, siehe systemd-journal-remote(8).

    json
        Formatiert Einträge als JSON-Objekte, getrennt durch Zeilenumbrüche (siehe Journal-JSON-Format[2] für weitere Informationen). Feldwerte werden im Allgemeinen als JSON-Zeichenketten kodiert, mit drei Ausnahmen:

            1. Felder, die größer als 4096 Byte sind, werden als null-Werte kodiert. (Dies kann durch Übergabe von --all abgeschaltet werden, beachten Sie aber, dass dies sehr lange JSON-Objekte vorbelegen kann.)

            2. Journal-Einträge erlauben nicht eindeutige Felder innerhalb des gleichen Protokolleintrags. JSON erlaubt keine uneindeutigen Felder innerhalb von Objekten. Daher wird ein JSON-Array als Feldwert benutzt, wenn ein nicht eindeutiges Feld angetroffen wird, wobei alle Feldwerte als Elemente aufgeführt werden.

            3. Felder, die nicht darstellbare Zeichen oder Nicht-UTF8-Zeichen enthalten werden als Arrays kodiert, wobei die rohen Bytes individuell als vorzeichenlose Zahlen formatiert werden.

        Beachten Sie, dass diese Kodierung invertierbar ist (mit der Ausnahme der Größenbegrenzung).

    json-pretty
        Formatiert Einträge als JSON-Datenstrukturen, aber formatiert sie in mehreren Zeilen, um sie durch Menschen besser lesbar zu gestalten.

    json-sse
        Formatiert Einträge als JSON-Datenstrukturen, aber bricht sie in einem Format um, das für Server-Sendeereignisse[3] geeignet ist.

    json-seq
        Formatiert Einträge als JSON-Datenstrukturen, stellt Ihnen aber einen ASCII-Datensatztrennzeichen (0x1E) voran und hängt ihnen einen ASCII-Zeilenumbruchzeichen (0x0A) an, in Übereinstimmung mit der JavaScript-Objektnotation (JSON) Textsequenzen[4] ("application/json-seq").

    cat
        Erstellt eine sehr knappe Ausgabe, zeigt nur die tatsächlichen Nachrichten von jedem Journal-Eintrag ohne Metadaten, nicht mal einen Zeitstempel.

    with-unit
        Ähnlich zu short-full, aber die Unit- und Benutzernamen werden statt der traditionellen Syslog-Kennzeichner vorangestellt. Bei der Verwendung von vorlagenbasierten Instanzen nützlich, da es die Argumente in den Unit-Namen einschließt.

--output-fields=
    Ein Kommata-getrennte Liste von Feldern, die in der Ausgabe aufgenommen werden soll. Dies hat nur für die Ausgabemodi, die normalerweise alle Felder anzeigen würden (verbose, export, json, json-pretty, json-sse und json-seq), Wirkung. Die Felder »__CURSOR«, »__REALTIME_TIMESTAMP«, »__MONOTONIC_TIMESTAMP« und »_BOOT_ID« werden immer ausgegeben.

--utc
    Gibt die Zeit in koordinierter Weltzeit (UTC) aus.

--no-hostname
    Zeigt das Feld »hostname« bei Protokollnachrichten, die von der lokalen Maschine stammen, nicht an. Dies hat nur für die Familie short der Ausgabemodi Wirkung (siehe oben).

-x, --catalog
    Ergänzt Protokollzeilen mit Erklärungstext aus dem Nachrichtenkatalog. Wo verfügbar, wird dies erklärenden Hilfetext zu den Protokollnachrichten in der Ausgabe hinzufügen. Diese kurzen Hilfetexte werden den Kontext eines Fehlers oder Protokollereignisses, mögliche Lösungen sowie Verweise auf Unterstützungsforen, Entwicklerdokumentation und andere relevante Handbücher enthalten. Beachten Sie, dass nicht für alle Nachrichten Hilfetexte verfügbar sind, sondern nur für ausgewählte. Für weitere Informationen über den Nachrichtenkatalog schauen Sie bitte in die Entwicklerdokumentation für den Nachrichtenkatalog[5].

    Beachten Sie: Wenn Sie die Ausgabe von journalctl an Fehlerberichte anhängen, verwenden Sie -x nicht.

-q, --quiet
    Unterdrückt alle informellen Nachrichten (d.h. "-- Logs begin at …", "-- Reboot --"), alle Warnungsmeldungen bezüglich nicht zugreifbarer System-Journale beim Betrieb als normaler Benutzer.

-m, --merge
    Zeigt Einträge verschachtelt aus allen verfügbaren Journalen, auch aus fernen.

-b [[Kennung][±Versatz]|all], --boot[=[Kennung][±Versatz]|all]
    Zeigt Nachrichten von einem bestimmten Systemstart. Dies passt auf »_BOOT_ID=«.

    Das Argument darf leer sein, in diesem Fall werden die Protokolle für den aktuellen Systemstart angezeigt.

    Falls die Systemstartkennung weggelassen wird, wird ein positiver Versatz die Systemstarts, beginnend vom Anfang des Journals, nachschlagen, und ein Versatz, der kleiner oder gleich Null ist, wird die Systemstarts beginnend vom Ende des Journals nachschlagen. Daher bedeutet 1 den ersten im Journal in chronologischer Ordnung gefundenen Systemstart, 2 den zweiten und so weiter, während -0 der neuste Systemstart ist, -1 der Systemstart vor dem neusten und so weiter. Ein leerer Versatz ist äquivalent zur Festlegung von -0, außer wenn der aktuelle Systemstart nicht der neuste ist (z.B. da --directory festgelegt wurde, um Protokolle von anderen Maschinen anzusehen).

    Falls die 32-Zeichen-Kennung festgelegt ist, kann sie optional vom Versatz gefolgt werden, der den Systemstart relativ zu der angegebenen Kennung identifiziert. Negative Werte bedeuten vorherige Systemstarts und positive Werte bedeuten nachfolgende Systemstarts. Falls Versatz nicht festgelegt ist, wird ein Wert Null angenommen und die Protokolle des durch Kennung angegebenen Systemstarts werden angezeigt.

    Das besondere Argument all kann zur Negierung der Wirkung eines vorhergehenden Einsatzes von -b verwandt werden.

--list-boots
    Zeigt eine tabellarische Liste von Systemstartnummern (relativ zum aktuellen Systemstart), ihre Kennungen und die Zeitstempel der ersten und letzten zu dem Systemstart zugehörigen Meldung.

-k, --dmesg
    Zeigt nur Kernelnachrichten. Dies impliziert -b und fügt die Übereinstimmung »_TRANSPORT=kernel« hinzu.

-t, --identifier=SYSLOG-KENNUNG
    Zeigt Nachrichten für den festgelegten Syslog-Kennzeichner SYSLOG_IDENTIFIER.

    Dieser Parameter kann mehrfach angegeben werden.

-u, --unit=UNIT|MUSTER
    Zeigt Nachrichten für die festgelegte Systemd-Unit UNIT (wie eine Dienste-Unit) oder für alle Units, die auf MUSTER passen. Falls ein Muster festgelegt ist, wird eine Liste von im Journal gefundenen Unit-Namen mit dem festgelegten Muster verglichen und alle Treffer werden verwandt. Für jeden Unit-Namen wird ein Treffer zu der Nachricht aus der Unit (»_SYSTEMD_UNIT=UNIT«), zusammen mit zusätzlichen Treffern für Nachrichten von Systemd und Nachrichten über Speicherauszüge, für die festgelegte Unit hinzugefügt. Für »_SYSTEMD_SLICE=UNIT« wird auch ein Treffer hinzugefügt, so dass alle Protokolle der Kinder einer Scheibe protokolliert werden, falls die bereitgestellte UNIT eine systemd.slice(5)-Unit ist.

    Dieser Parameter kann mehrfach angegeben werden.

--user-unit=
    Zeigt Nachrichten für die festgelegte Benutzer-Sitzungs-Unit. Dies wird einen Treffer für Nachrichten von der Unit (»_SYSTEMD_USER_UNIT=« und »_UID=«) und zusätzliche Treffer für Nachrichten von Sitzungs-Systemds und Nachrichten über Speicherauszüge für die festgelegte Unit hinzufügen. Für »_SYSTEMD_SLICE=UNIT« wird auch ein Treffer hinzugefügt, so dass alle Protokolle der Kinder einer Scheibe protokolliert werden, falls die bereitgestellte UNIT eine systemd.slice(5)-Unit ist.

    Dieser Parameter kann mehrfach angegeben werden.

-p, --priority=
    Filtert die Ausgabe nach Nachrichtenprioritäten oder Prioritätsbereichen. Akzeptiert entweder eine einzelne numerische oder textuelle Protokollstufe (d.h. zwischen 0/»emerg« und 7/»debug«) oder einen Bereich von numerischen/textuellen Protokollstufen in der Form VON..BIS. Die Protokollstufen sind die normalen Syslog-Protokollstufen, wie sie in syslog(3) dokumentiert sind, d.h. »emerg« (0), »alert« (1), »crit« (2), »err« (3), »warning« (4), »notice« (5), »info« (6), »debug« (7). Falls eine einzelne Protokollstufe festgelegt ist, werden alle Nachrichten mit dieser Protokollstufe oder einer niedrigeren (daher wichtigeren) Protokollstufe angezeigt. Falls ein Bereich festgelegt ist, werden alle Nachrichten innerhalb des Bereichs angezeigt, einschließlich des Start- und des Endwertes des Bereichs. Dies wird »PRIORITY=«-Treffer für die festgelegten Prioritäten hinzufügen.

-g, --grep=
    Filtert die Ausgabe auf Einträge, bei denen das Feld MESSAGE= auf den festgelegten regulären Ausdruck passt. PERL-kompatible reguläre Ausdrücke werden verwandt, siehe pcre2pattern(3) für eine detaillierte Beschreibung der Syntax.

    Falls das Muster komplett in Kleinschreibung ist, ist der Abgleich unabhängig von der Groß-/Kleinschreibung. Andernfalls ist der Abgleich abhängig von der Groß-/Kleinschreibung. Dies kann mit der Option --case-sensitive außer Kraft gesetzt werden, siehe unten.

--case-sensitive[=BOOLEAN]
    Musterabgleich abhängig oder unabhängig von der Groß-/Kleinschreibung machen.

-c, --cursor=
    Beginnt die Anzeige von Einträgen ab dem Ort im Journal, der durch den übergebenen Positionszeiger festgelegt ist.

--cursor-file=DATEI
    Falls DATEI existiert und einen Positionszeiger enthält, werden Einträge nach dieser Position angezeigt. Andernfalls werden die Einträge entsprechend anderer übergebener Optionen angezeigt. Zum Schluss wird der Positionszeiger des letzten Eintrages nach DATEI geschrieben. Verwenden Sie diese Option, um das Journal kontinuierlich durch sequenziellen Aufruf von journalctl zu lesen.

--after-cursor=
    Beginnt die Anzeige von Einträgen ab dem Ort im Journal nach dem Ort, der durch den übergebenen Positionszeiger festgelegt ist. Der Positionszeiger wird angezeigt, wenn die Option --show-cursor verwandt wird.

--show-cursor
    Der Positionszeiger wird nach dem letzten Eintrag nach zwei Gedankenstrichen angezeigt:

        -- cursor: s=0639…

    Das Format des Positionszeigers ist privat und kann sich ändern.

-S, --since=, -U, --until=
    Die Anzeige mit neueren Einträgen ab dem angegebenen Datum oder älteren Einträgen bis zum angegebenen Datum anfangen. 18:17:16« sein. Falls der Zeitanteil weggelassen wird, wird »00:00:00« angenommen. Falls nur der Sekundenteil weggelassen wird, wird »:00« angenommen. Falls die Datumskomponente weggelassen wird, wird der aktuelle Tag angenommen. Alternativ werden die Zeichenketten »yesterday«, »today«, »tomorrow« verstanden, die sich auf 00:00:00 gestern, den aktuellen Tag bzw. morgen beziehen. »now« bezieht sich auf die aktuelle Zeit. Schließlich dürfen relative Zeiten festgelegt werden, denen »-« oder »+« vorangestellt wird, die sich auf Zeiten vor bzw. nach der aktuellen Zeit beziehen. Für die komplette Zeit- und Datumsspezifikation siehe systemd.time(7). Beachten Sie, dass --output=short-full Zeitstempel ausgibt, die genau diesem Format folgen.

-F, --field=
    Gibt alle möglichen Datenwerte aus, die das festgelegte Feld in allen Einträgen des Journals akzeptiert.

-N, --fields
    Gibt alle derzeit in allen Einträgen des Journals verwandten Feldnamen aus.

--system, --user
    Zeigt Nachrichten von Systemdiensten und dem Kernel (mit --system). Zeigt Nachrichten von Diensten des aktuellen Benutzers (mit --user). Falls keines angegeben ist, werden alle Nachrichten angezeigt, die der Benutzer sehen kann.

-M, --machine=
    Zeigt Nachrichten von einem laufenden lokalen Container. Geben Sie einen Container-Namen an, zu dem verbunden werden soll.

-D VERZ, --directory=VERZ
    Akzeptiert als Argument einen Verzeichnispfad. Falls festgelegt, wird Journalctl auf dem festgelegten Journal-Verzeichnis VERZ statt auf den standardmäßigen Laufzeit- und System-Journal-Pfaden agieren.

--file=GLOB
    Akzeptiert als Argument einen Datei-Glob. Falls festgelegt, wird Journalctl auf den festgelegten Dateien, die auf GLOB passen, statt auf den standardmäßigen Laufzeit- und System-Journal-Pfaden agieren. Kann mehrfach festgelegt werden, dann werden die Dateien geeignet verschachtelt.

--root=WURZEL
    Akzeptiert einen Verzeichnispfad als Argument. Falls festgelegt, wird Journalctl auf Journal-Verzeichnissen und Katalogdateihierarchien unterhalb des festgelegten Verzeichnisses statt auf dem Wurzelverzeichnis agieren (z.B. wird --update-catalog WURZEL/var/lib/systemd/catalog/database erstellen und Journal-Dateien unterhalb von WURZEL/run/journal oder WURZEL/var/log/journal werden angezeigt).

--header
    Anstatt Inhalte das Journals anzuzeigen werden interne Kopfzeileninformationen von den Journal-Feldern, auf die zugegriffen wird, angezeigt.

--disk-usage
    Zeigt den aktuellen Plattenplatzverbrauch aller Journal-Dateien an. Dies zeigt die Summe der Plattenplatzverbräuche aller archivierten und aktiven Journal-Dateien.

--vacuum-size=, --vacuum-time=, --vacuum-files=
    Entfernt die ältesten archivierten Journal-Dateien, bis der Plattenplatz, den sie verwenden, unter die festgelegte Größe fällt (mit den üblichen Endungen »K«, »M«, »G« und »T«) oder alle archivierten Journal-Dateien, die keine Daten älter als die festgelegte Zeitspanne (mit den üblichen Endungen »s«, »m«, »h«, »days«, »months«, »weeks« und »years« festgelegt) enthalten oder so dass nicht mehr als die festgelegte Anzahl an separaten Journal-Dateien verbleiben. Beachten Sie, dass die Ausführung von --vacuum-size= nur einen indirekten Effekt auf die durch --disk-usage angezeigte Ausgabe hat, da letztere die aktiven Journal-Dateien einbezieht, während die Bereinigungsaktion nur auf archivierten Journal-Dateien agiert. Ähnlich könnte --vacuum-files= die Anzahl der Journal-Dateien nicht unterhalb der festgelegten Anzahl reduzieren, da es keine aktiven Journal-Dateien entfernen wird.

    --vacuum-size=, --vacuum-time= und --vacuum-files= können in einem einzelnen Aufruf kombiniert werden, um eine Kombination einer Größen-, einer Zeit- und eine Anzahl von Dateien-Beschränkung von archivierten Journal-Dateien zu erzwingen. Wird einer dieser drei Parameter als Null festgelegt, dann ist das äquivalent dazu, die festgelegte Begrenzung nicht zu erzwingen und daher redundant.

    Diese drei Schalter können auch mit --rotate in einem Befehl kombiniert werden. Falls das passiert, werden alle aktiven Dateien zuerst rotiert und dann wird direkt danach die erwünschte Bereinigungsaktion ausgeführt. Die Rotation hat den Effekt, dass alle derzeit aktiven Dateien archiviert werden (und möglicherweise neue, leere Journal-Dateien als Ersatz geöffnet werden) und daher die Bereinigungsaktion die größtmögliche Wirkung hat, da sie alle bisher geschriebenen Protokolldaten berücksichtigen kann.

--list-catalog [128-Bit-Kennung…]
    Listet die Inhalte der Nachrichtenkataloge als Tabelle von Nachrichtenkennungen plus ihrer kurzen Beschreibungszeichenketten auf.

    Falls irgendeine 128-Bit-Kennung festgelegt ist, werden nur diese Einträge angezeigt.

--dump-catalog [128-Bit-Kennung…]
    Zeigt die Inhalte des Nachrichtenkatalogs an, wobei Einträge durch eine Zeile, die aus zwei Gedankenstrichen und der Kennung besteht, getrennt werden (das Format ist das gleiche wie bei .catalog-Dateien).

    Falls irgendeine 128-Bit-Kennung festgelegt ist, werden nur diese Einträge angezeigt.

--update-catalog
    Aktualisiert den Nachrichtenkatalogindex. Dieser Befehl muss jedes Mal ausgeführt werden, wenn neue Katalogdateien installiert, entfernt oder aktualisiert werden, um den binären Katalogindex neu zu bauen.

--setup-keys
    Anstatt die Journal-Inhalte anzuzeigen wird ein neues Schlüsselpaar für Forward Secure Sealing (FSS) erstellt. Dies erstellt einen Versiegelungsschlüssel und einen Überprüfungsschlüssel. Der Versiegelungsschlüssel wird im Journal-Datenverzeichnis gespeichert und verbleibt auf dem Rechner. Der Überprüfungsschlüssel sollte extern gespeichert werden. Lesen Sie die Option Seal= in journald.conf(5) für Informationen über Forward Secure Sealing und für eine Referenz auf eine wissenschaftliche Veröffentlichung, die Details über die ihr zugrundeliegende kryptographische Theorie darstellt.

--force
    Wenn --setup-keys übergeben wird und Forward Secure Sealing (FSS) bereits konfiguriert wurde, werden neue FSS-Schlüssel erzeugt.

--interval=
    Legt das Änderungsinterval für die Versiegelungsschlüssel für die Erzeugung eines FSS-Schlüsselpaars mit --setup-keys fest. Kürzere Intervalle erhöhen den CPU-Verbrauch, kürzen aber auch den Zeitbereich von nicht nachweisbarer Journal-Änderung. Standardmäßig 15 Minuten.

--verify
    Prüft die Journal-Dateien auf interne Konsistenz. Falls die Datei mit aktiviertem FSS erstellt wurde und der FSS-Überprüfungsschlüssel mit --verify-key= festgelegt wurde, wird die Echtheit der Journal-Datei überprüft.

--verify-key=
    Legt den FSS-Überprüfungsschlüssel fest, der für die Aktion --verify verwandt werden soll.

--sync
    Bittet den Journal-Daemon, alle noch nicht geschriebenen Journal-Daten in das zugrundeliegende Dateisystem zu schreiben und alle Journale zu synchronisieren. Dieser Aufruf kehrt erst zurück, wenn die Synchronisationsaktion abgeschlossen ist. Dieser Befehl garantiert, dass alle Protokollnachrichten, die vor seinem Aufruf geschrieben wurden, sicher zu dem Zeitpunkt auf Platte gespeichert sind, zu dem er zurückkehrt.

--flush
    Bittet den Journal-Daemon, alle in /run/log/journal/ gespeicherten Protokolldaten nach /var/log/journal/ herauszuschieben, falls dauerhafter Speicher aktiviert ist. Dieser Aufruf kehrt erst zurück, wenn die Aktion abgeschlossen ist. Beachten Sie, dass dieser Aufruf idempotent ist: die Daten werden nur einmal zur Systemlaufzeit von /run/log/journal/ nach /var/log/journal rausgeschrieben (siehe aber auch --relinquish-var unten) und dieser Befehl beendet sich sauber ohne Ausführung einer Aktion, falls das bereits geschehen ist. Dieser Befehl garantiert wirksam, dass alle Daten zu dem Zeitpunkt nach /var/log/journal rausgeschoben wurden, zu dem er zurückkehrt.

--relinquish-var
    Bittet den Journal-Daemon um die entgegengesetzte Aktion zu --flush: falls erbeten, wird der Daemon weitere Protokolldaten nach /run/log/journal/ schreiben und Schreiben nach /var/log/journal/ beenden. Ein nachfolgender Aufruf von --flush führt dazu, dass die Protokollierausgabe wieder nach /var/log/journal/ zurückgewechselt wird, siehe oben.

--smart-relinquish-var
    Ähnlich zu --relinquish-var, führt aber keine Aktion durch, falls sich das Wurzeldateisystem und /var/lib/journal/ auf der gleichen Partition befinden. Diese Aktion erfolgt während des Systemherunterfahrens, um den Journal-Daemon zum Beenden des Schreibens nach /var/log/journal/ zu bekommen, falls sich das Verzeichnis auf einem Einhängepunkt befindet, der ausgehängt werden muss.

--rotate
    Bittet den Journal-Daemon, die Journal-Dateien zu rotieren. Dieser Aufruf kehrt erst zurück, wenn die Rotationsaktion abgeschlossen ist. Journal-Dateien-Rotation hat den Effekt, dass alle derzeit aktiven Journal-Dateien als archiviert markiert und umbenannt werden, so dass in der Zukunft niemals mehr in sie geschrieben wird. Dann werden stattdesse neue (leere) Journal-Dateien erstellt. Diese Aktion kann mit --vacuum-size=, --vacuum-time= und --vacuum-file= in einen einzigen Befehl kombiniert werden, siehe oben.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

EXIT-STATUS

Im Erfolgsfall wird 0 zurückgeliefert; andernfalls wird ein von Null verschiedener Code zurückgeliefert.

UMGEBUNGSVARIABLEN

$SYSTEMD_PAGER
    Zu verwendendes Textanzeigeprogramm, wenn --no-pager nicht angegeben ist, setzt $PAGER außer Kraft. Falls weder $SYSTEMD_PAGER noch $PAGER gesetzt sind, wird eine Reihe wohlbekannter Textanzeigeprogrammimplementierungen der Reihe nach ausprobiert, einschließlich less(1) und more(1), bis eines gefunden wird. Falls keine Textanzeigeprogrammimplementierung gefunden wird, wird keines aufgerufen. Setzen der Umgebungsvariablen auf die leere Zeichenkette oder den Wert »cat« ist äquivalent zur Übergabe von --no-pager.

$SYSTEMD_LESS
    Setzt die an less übergebenen Optionen (standardmäßig »FRSXMK«) außer Kraft.

    Benutzer könnten insbesondere zwei Optionen ändern wollen:

    K
        Diese Option weist den Seitenbetrachter an, sich sofort beim Druck von Strg-C zu beenden. Um less die Handhabung von Strg-C selbst zum Umschalten auf die Eingabeaufforderung zu erlauben, setzen Sie diese Option zurück.

        Falls der Wert von $SYSTEMD_LESS kein »K« enthält und less das aufgerufene Textanzeigeprogramm ist, wird Strg+C durch das Programm ignoriert und muss durch das Textanzeigeprogramm selbst gehandhabt werden.

    X
        Diese Option weist den Seitenbetrachter an, keine Termcap-Initialisierungs- und -Deinitalisierungszeichenketten an das Terminal zu senden. Dies ist standardmäßig gesetzt, damit die Darstellung von Befehlen selbst nach dem Beenden des Seitenanzeigeprogramms sichtbar bleibt. Allerdings verhindert dies, dass ein Teil der Funktionalität des Seitenbetrachtungsprogramms funktioniert, insbesondere kann die Ausgabe des Seitenbetrachtungsprogramms nicht mit der Maus durchlaufen werden.

    Siehe less(1) für weitere Ausführungen.

$SYSTEMD_LESSCHARSET
    Setzt den an less übergebenen Zeichensatz (standardmäßig »utf-8«, falls das aufrufende Terminal als UTF-8-kompatibel erkannt wurde) außer Kraft.

BEISPIELE

Ohne Argumente werden alle gesammelten Protokolle ungefiltert angezeigt:

    journalctl

Wird ein Treffer festgelegt, werden alle Einträge, bei denen ein Feld auf den Ausdruck passt, angezeigt:

    journalctl _SYSTEMD_UNIT=avahi-daemon.service
    journalctl _SYSTEMD_CGROUP=/user.slice/user-42.slice/session-c1.scope

Falls zwei verschiedene Felder verglichen werden, werden nur Einträge, die auf beide Ausdrücke gleichzeitig passen, angezeigt:

    journalctl _SYSTEMD_UNIT=avahi-daemon.service _PID=28097

Falls sich zwei Treffer auf das gleiche Feld beziehen, werden alle Einträge, die auf einer der zwei Ausdrücke passen, angezeigt:

    journalctl _SYSTEMD_UNIT=avahi-daemon.service _SYSTEMD_UNIT=dbus.service

Falls der Trenner »+« verwandt wird, können zwei Ausdrücke mit einem logischen ODER verbunden werden. Folgendes Beispiel wird alle Nachrichten vom Avahi-Diensteprozess mit der PID 28097 sowie alle Nachrichten vom D-Bus-Dienst (von einem beliebigen Prozess) anzeigen:

    journalctl _SYSTEMD_UNIT=avahi-daemon.service _PID=28097 + _SYSTEMD_UNIT=dbus.service

Um alle Felder, die von und über die Unit ausgegeben werden, anzuzeigen, sollte die Option -u/--unit= verwandt werden. journalctl -u name expandiert zu einem komplexen Filter ähnlich zu

    _SYSTEMD_UNIT=Name.service
      + UNIT=Name.service _PID=1
      + OBJECT_SYSTEMD_UNIT=Name.service _UID=0
      + COREDUMP_UNIT=Name.service _UID=0 MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1

(siehe systemd.journal-fields(5) für eine Erklärung dieser Muster).

Zeigt alle Protokolle, die vom D-Bus-Programm erzeugt wurden:

    journalctl /usr/bin/dbus-daemon

Zeigt alle Kernelprotokolle vom vorherigen Systemstart:

    journalctl -k -b -1

Zeigt eine Live-Protokollanzeige von einem Systemdienst apache.service:

    journalctl -f -u apache

SIEHE AUCH

systemd(1), systemd-journald.service(8), systemctl(1), coredumpctl(1), systemd.journal-fields(7), journald.conf(5), systemd.time(7), systemd-journal-remote.service(8), systemd-journal-upload.service(8)

ANMERKUNGEN

1.  Journal-Exportformat
    https://www.freedesktop.org/wiki/Software/systemd/export

2.  Journal-JSON-Format
    https://www.freedesktop.org/wiki/Software/systemd/json

3.  Server-Sendeereignisse
    https://developer.mozilla.org/de/docs/Web/API/Server-sent_events/Using_server-sent_events

4.  JavaScript-Objektnotation (JSON) Textsequenzen
    https://tools.ietf.org/html/rfc7464

5.  Entwicklerdokumentation für den Nachrichtenkatalog
    https://www.freedesktop.org/wiki/Software/systemd/catalog

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.